## Measurement settings

### Measurement Modes
In the **normal** measurement mode, the `cpdctrl` asks the voltage measurement device
for a new value in regular intervals. 
This has the advantage that the LED state is always correctly synced with the voltage values,
however, the intervals might not be consistent since a software timer is used, which
is very inconsistent below 500ms.
The signal-to-noise ratio might also not be good, since the device will spend a lot of time not measuring the voltage.

The **buffer** mode fixes this, by using voltage measurement device's internal data buffer and timing capabilities.
This allows for lower and very consistent intervals, but the timing of the LED value might be off 
by a few tens of milliseconds, since these are still controlled by the lab computer.
Since this should not be big problem, **buffer mode should be preferred**.

### Data Flushing
Measurements can be performed over many hours or multiple days.
To make sure that unforeseen accidents like Windows Updates do not ruin the entire measurement,
the data can be continuously written to the disk.  
To enable this feature, set `Flush After` to a non-zero value (in the Measurement Settings tab).
After \<Flush After\> number of datapoints are recorded, they are written to the cache directory
as serialized numpy array.
When the measurement is finished, all partial arrays are loaded again and the complete data 
can be saved as `csv` or serialized numpy array (`.pkl`).

